slime_2.15-1_all.deb


Advertisement

Description

slime - Superior LISP Interaction Mode for Emacs

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: slime
Package version: 2.15
Package release: 1
Package architecture: all
Package type: deb
Installed size: 2.71 KB
Download size: 1.17 MB
Official Mirror: archive.ubuntu.com
SLIME is the Superior Lisp Interaction Mode for Emacs. This is an ILISP-like development environment intended for maximum integration with CMUCL (also works with SBCL, OpenMCL and work is ongoing on Lispworks and current CVS version of CLISP and CLISP 2.32 on Linux). This package contains the Emacs client, that will connect to the Lisp-side server (see package cl-swank). To connect to Common Lisp implementations not running in Debian you need the latest CVS version of slime, NOT the old slime 'release' version 1.2.1 or older.

Alternatives

    Download

    Binary package: slime_2.15-1_all.deb
    Source package: slime

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install slime deb package:
      # sudo apt-get install slime

    Files

    • /etc/emacs/site-start.d/50slime.el
    • /usr/lib/emacsen-common/packages/compat/slime
    • /usr/lib/emacsen-common/packages/install/slime
    • /usr/lib/emacsen-common/packages/remove/slime
    • /usr/share/doc/slime/CONTRIBUTING.md.gz
    • /usr/share/doc/slime/NEWS.gz
    • /usr/share/doc/slime/PROBLEMS
    • /usr/share/doc/slime/README.Debian
    • /usr/share/doc/slime/README.md
    • /usr/share/doc/slime/changelog
    • /usr/share/doc/slime/changelog.Debian.gz
    • /usr/share/doc/slime/copyright
    • /usr/share/doc/slime/old-changelog
    • /usr/share/doc/slime/slime-refcard.pdf
    • /usr/share/doc/slime/slime.pdf
    • /usr/share/doc/slime/slime.ps.gz
    • /usr/share/emacs/site-lisp/slime/slime-autoloads.el
    • /usr/share/emacs/site-lisp/slime/slime-tests.el
    • /usr/share/emacs/site-lisp/slime/slime.el
    • /usr/share/emacs/site-lisp/slime/contrib/bridge.el
    • /usr/share/emacs/site-lisp/slime/contrib/inferior-slime.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-asdf.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-autodoc.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-banner.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-c-p-c.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-cl-indent.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-clipboard.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-compiler-notes-tree.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-editing-commands.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-enclosing-context.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-fancy-inspector.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-fancy-trace.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-fancy.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-fontifying-fu.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-fuzzy.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-highlight-edits.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-hyperdoc.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-indentation.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-mdot-fu.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-media.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-motd.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-mrepl.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-package-fu.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-parse.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-presentation-streams.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-presentations.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-references.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-repl.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-sbcl-exts.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-scheme.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-scratch.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-snapshot.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-sprof.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-trace-dialog.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-tramp.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-typeout-frame.el
    • /usr/share/emacs/site-lisp/slime/contrib/slime-xref-browser.el
    • /usr/share/emacs/site-lisp/slime/lib/ert-x.el
    • /usr/share/emacs/site-lisp/slime/lib/ert.el
    • /usr/share/emacs/site-lisp/slime/lib/hyperspec.el
    • /usr/share/info/slime.info.gz
    • /usr/share/lintian/overrides/slime

    Changelog

    2015-12-31 - Milan Zamazal <pdm@debian.org> slime (2:2.15-1) unstable; urgency=low * New upstream. * Use cl-remove-if instead of remove-if in implementations.patch.

    2015-04-28 - Milan Zamazal <pdm@debian.org> slime (2:2.13-1) unstable; urgency=low * New upstream. * Ignore deletion of auto-generated files. * Don't install old cl-lib.el from SLIME; closes: #767527.

    2014-11-22 - Milan Zamazal <pdm@debian.org> slime (2:2.10.1-3) unstable; urgency=low * Prevent error on startup; thanks to Robert J. Macomber; closes: #766944.

    2014-10-23 - Milan Zamazal <pdm@debian.org> slime (2:2.10.1-2) unstable; urgency=low * Standards 3.9.6 (no real change). * emacsen-common dependency updated according to the current Emacs policy.

    2014-10-21 - Milan Zamazal <pdm@debian.org> slime (2:2.10.1-1) unstable; urgency=low * New upstream.

    2014-08-09 - Milan Zamazal <pdm@debian.org> slime (2:2.9-1) unstable; urgency=low * New upstream.

    2014-06-11 - Milan Zamazal <pdm@debian.org> slime (2:2.7-1) unstable; urgency=low * New upstream.

    2014-05-28 - Milan Zamazal <pdm@debian.org> slime (2:2.6-1) unstable; urgency=low * New upstream.

    2014-04-05 - Milan Zamazal <pdm@debian.org> slime (2:2.5-1) unstable; urgency=low * New upstream. * Don't crash on nil in load-path; closes: #742426.

    2014-03-29 - Milan Zamazal <pdm@debian.org> slime (2:2.4-2) unstable; urgency=low * Updated to new debian-emacs-policy. * emacs24-lucid and emacs24-nox added to dependencies.

    Advertisement
    Advertisement